# HstoreExpression Class Reference
[Logical expressions used in OSQL and Form]

Inheritance diagram for HstoreExpression:
[legend]

List of all members.

## Static Public Member Functions

static | containKey ($field, $key)
static | getValueByKey ($field, $key)
static | containValue ($field, $key, $value)
static | concat ($field, $value)
static | containHstore ($field, Hstore $hstore)
static | containValueList ($field, array $list)

## Public Attributes

const | CONTAIN = '?'
const | GET_VALUE = '->'
const | LEFT_CONTAIN = '@>'
const | CONCAT = '||'

## Detailed Description

See also:
  http://www.postgresql.org/docs/8.3/interactive/hstore.html

Definition at line 16 of file HstoreExpression.class.php.

## Member Function Documentation

static HstoreExpression::concat | ( | $ | field,
|  | $ | value |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 50 of file HstoreExpression.class.php.

static HstoreExpression::containHstore | ( | $ | field,
|  | Hstore $ | hstore |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 58 of file HstoreExpression.class.php.

References Hstore::toString().

Referenced by containValueList().

Here is the call graph for this function:

static HstoreExpression::containKey | ( | $ | field,
|  | $ | key |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 26 of file HstoreExpression.class.php.

static HstoreExpression::containValue | ( | $ | field,
|  | $ | key,
|  | $ | value |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 42 of file HstoreExpression.class.php.

static HstoreExpression::containValueList | ( | $ | field,
|  | array $ | list |
| ) |  |  | `[static]`

Definition at line 63 of file HstoreExpression.class.php.

References containHstore(), and Hstore::make().

Here is the call graph for this function:

static HstoreExpression::getValueByKey | ( | $ | field,
|  | $ | key |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 34 of file HstoreExpression.class.php.

## Member Data Documentation

const HstoreExpression::CONCAT = '||'

Definition at line 21 of file HstoreExpression.class.php.

const HstoreExpression::CONTAIN = '?'

Definition at line 18 of file HstoreExpression.class.php.

const HstoreExpression::GET_VALUE = '->'

Definition at line 19 of file HstoreExpression.class.php.

const HstoreExpression::LEFT_CONTAIN = '@>'

Definition at line 20 of file HstoreExpression.class.php.

The documentation for this class was generated from the following file:

- core/Logic/HstoreExpression.class.php